/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package dummy;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.ejb.Singleton;
import javax.ejb.LocalBean;
import javax.ejb.Startup;
import javax.ejb.Timeout;
import javax.ejb.Timer;
import javax.ejb.TimerConfig;
import javax.ejb.TimerHandle;
import javax.ejb.TimerService;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Administrator
 */
@Singleton
@LocalBean
@Startup
public class DummySessionBean {

    @Resource
    private TimerService timerService;

    @PersistenceContext
    EntityManager em;

    @PostConstruct
    private void onStartup() {
        long timerDuration = 30 * 1000;
        NewEntity entity = new NewEntity();
        TimerHandle handle = timerService.createSingleActionTimer(timerDuration, new TimerConfig("info", true)).getHandle();
        entity.setTimerHandle(handle);
        em.persist(entity);
    }

    @Timeout
    public void timeout(Timer timer) {
        Logger.getLogger(getClass().getName()).logp(Level.WARNING, getClass().getName(), "timeout(..)",
                        "Hello" + timer.getInfo());
    }
}
